CLASS ALLOCATOR<VO(3)

NAME
boost::mpi::allocator<void> - Allocator specialization for void value types.

SYNOPSIS

// In header: <boost/mpi/allocator.hpp>
class allocator<void> {
public:
  // types
  typedef void *       pointer;
  typedef const void * const_pointer;
  typedef void         value_type;
  // member classes/structs/unions
  template<typename U>
  struct rebind {
    // types
    typedef allocator< U > other;
  };
};

DESCRIPTION

The void specialization of allocator is useful only for rebinding to another, different value type.